<?php

namespace JoopSchilder\Http2;

/**
 * Class Response
 */
class Response
{
	/** @var string */
	private $originalUrl;

	/** @var string */
	private $header;

	/** @var string */
	private $content;


	/**
	 * Response constructor.
	 * @param string $originalUrl
	 * @param string $header
	 * @param string $content
	 */
	public function __construct(string $originalUrl, string $header, string $content)
	{
		$this->originalUrl = trim($originalUrl);
		$this->header = trim($header);
		$this->content = trim($content);
	}


	/**
	 * @return string
	 */
	public function getOriginalUrl(): string
	{
		return $this->originalUrl;
	}


	/**
	 * @return string
	 */
	public function getHeader(): string
	{
		return $this->header;
	}


	/**
	 * @return string
	 */
	public function getContent(): string
	{
		return $this->content;
	}

}
